version: '3.3'
services:
  frontend:
    image: antoniopapa1991/frontend
    ports:
      - 8080:80
    depends_on:
      - backend
    
  backend:
    build:
      context: .
      dockerfile: docker/Dockerfile
    ports:
      - 8000:8000 # php artisan serve z Dockerfile
    volumes:
      - .:/app
    depends_on:
      - db

  db:
    image: mysql:5.7.22 # defoult mysql image downlowaded from dockerhub
    restart: always
    environment:
      MYSQL_DATABASE: rest_api_docker
      MYSQL_USER: root
      MYSQL_PASSWORD: root
      MYSQL_ROOT_PASSWORD: tajne_haslo
    volumes:
      - ./storage/dbdata:/var/lib/mysql
    ports:
      - 33066:3306